summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-games/tiled/Manifest1
-rw-r--r--dev-games/tiled/tiled-1.2.2.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-games/tiled/Manifest b/dev-games/tiled/Manifest
index 8504656af23..ad932ac68c7 100644
--- a/dev-games/tiled/Manifest
+++ b/dev-games/tiled/Manifest
@@ -1,2 +1,3 @@
DIST tiled-1.2.0.tar.gz 17007687 BLAKE2B 6bb5a34a19868574801a69015f6a05b299dd5b34df865cacf5d2a747a62ae731b80778fe49a432c5487cbfa3d30186dc80011cc8882cb86ac347fb35a7421cbc SHA512 9c0c151348a90344b355e9bc8a7c9d38e2203d48474e8cf496e2c08cc75f764042e4355db2827f0e3518a1c03bfbcc79be7ba643c44c50430c7ecec09fbb8563
DIST tiled-1.2.1.tar.gz 16773680 BLAKE2B 1b7c662863d931dadd46d20c90822659b71fe5c7432cc6486813a6db533057d9db9768c2d14832a74b0f768c29b3d340cdc28a67df830ca984ad824610afe662 SHA512 9a66d41ed991b6af226c9456758f27bf5cf2e8d1059042fb684b003608509c0d0e13776710e777bab0e12f55223e4fca4048a07661c36a3273f9c6c5cbf7fa5d
+DIST tiled-1.2.2.tar.gz 16846444 BLAKE2B c359a75c5a3de8b9f9e52f2e772df9e6bc4ff7200330309e071f5497e80916a3512b47d47d6c502e186e95807a899fec7795d4246621ed988523468542a69b68 SHA512 b488f30f258d13e1513df7398b04e76153803c9384f94c0167d0a971c72e9c26f39eeceb8d587b36509b1c92e5e2f4df3c0cc41f49d66db2c1d9cf5b4b985be3
diff --git a/dev-games/tiled/tiled-1.2.2.ebuild b/dev-games/tiled/tiled-1.2.2.ebuild
new file mode 100644
index 00000000000..b22b7a0e99e
--- /dev/null
+++ b/dev-games/tiled/tiled-1.2.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_6 )
+inherit gnome2-utils multilib python-single-r1 qmake-utils xdg
+
+DESCRIPTION="A general purpose tile map editor"
+HOMEPAGE="https://www.mapeditor.org/"
+SRC_URI="https://github.com/bjorn/tiled/archive/v${PV}/${P}.tar.gz"
+
+LICENSE="BSD BSD-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples python"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ >=dev-qt/qtcore-5.9:5
+ >=dev-qt/qtgui-5.9:5
+ >=dev-qt/qtnetwork-5.9:5
+ >=dev-qt/qtwidgets-5.9:5
+ sys-libs/zlib
+ python? ( ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+"
+
+DOCS=( AUTHORS COPYING NEWS.md README.md )
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+ eqmake5 LIBDIR="/usr/$(get_libdir)" PREFIX="/usr" DISABLE_PYTHON_PLUGIN="$(usex !python)"
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+
+ einstalldocs
+
+ if use examples ; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}